### Method

# EDataBook BookMetaBackend store_inline_photos_sync

since: 3.26

#### Declaration [src]

    gboolean
    e_book_meta_backend_store_inline_photos_sync (
      EBookMetaBackend* meta_backend,
      EContact* contact,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Changes all inline photos and logos to URL type in `contact`, which will point to a local file instead, beside the cache file. This is called automatically after e_book_meta_backend_load_contact_sync().

The reverse operation is e_book_meta_backend_inline_local_photos_sync().

Available since: 3.26

#### Parameters

`contact`

  Type: `EContact`

  An `EContact` to work with.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.